#ifdef __RCS_ID__
 static char rcsid[] = "$Header: /u3/bammi/freeunix/src/RCS/clrtoeol.c,v 1.2 89/03/05 17:58:04 bammi Exp $";
#endif
/*
 * $Log:	clrtoeol.c,v $
 * Revision 1.2  89/03/05  17:58:04  bammi
 * Ansiization. Some fixes. All output via vprint functions
 * 
 * Revision 1.1  89/03/05  17:21:57  bammi
 * Source distribution from SUG tape. See File README for permissions
 * 
 *
 */

/*
 * Copyright 1980 Kenneth C. R. C. Arnold and The Regents of the
 * University of California.  Permission is granted to freely
 * distribute curses and its documentation provided that this
 * notice is left intact.
 */

#ifndef lint
static char sccsid[] = "@(#)clrtoeol.c	5.1 (Berkeley) 6/7/85";
#endif not lint

# include	"curses.ext"

/*
 *	This routine clears up to the end of line
 *
 */
void wclrtoeol(win)
reg WINDOW	*win; {

	reg char	*sp, *end;
	reg int		y, x;
	reg char	*maxx;
	reg int		minx;

	y = win->_cury;
	x = win->_curx;
	end = &win->_y[y][win->_maxx];
	minx = _NOCHANGE;
	maxx = &win->_y[y][x];
	for (sp = maxx; sp < end; sp++)
		if (*sp != ' ') {
			maxx = sp;
			if (minx == _NOCHANGE)
				minx = sp - win->_y[y];
			*sp = ' ';
		}
	/*
	 * update firstch and lastch for the line
	 */
	touchline(win, y, win->_curx, win->_maxx - 1);
# ifdef DEBUG
	fprintf(outf, "CLRTOEOL: minx = %d, maxx = %d, firstch = %d, lastch = %d\n", minx, maxx - win->_y[y], win->_firstch[y], win->_lastch[y]);
# endif
}
