#ifdef __RCS_ID__
 static char rcsid[] = "$Header: /u3/bammi/freeunix/src/RCS/fullname.c,v 1.1 89/03/05 17:22:10 bammi Exp $";
#endif
/*
 * $Log:	fullname.c,v $
 * Revision 1.1  89/03/05  17:22:10  bammi
 * Source distribution from SUG tape. See File README for permissions
 * 
 *
 */

/*
 * Copyright 1980 Kenneth C. R. C. Arnold and The Regents of the
 * University of California.  Permission is granted to freely
 * distribute curses and its documentation provided that this
 * notice is left intact.
 */

#ifndef lint
static char sccsid[] = "@(#)fullname.c	5.1 (Berkeley) 6/7/85";
#endif not lint

# define	reg	register

/*
 *	This routine fills in "def" with the full name of the terminal.
 * This is assumed to be the last name in the list of aliases.
 *
 */
char *
fullname(bp, def)
reg char	*bp, *def;
{

	reg char	*cp;

	*def = 0;			/* in case no name */

	while (*bp && *bp != ':') {
		cp = def;		/* start of answer */
		while (*bp && *bp != ':' && *bp != '|') {
			*cp++ = *bp++;	/* copy name over */
		}
		*cp = 0;		/* zero end of name */
		if (*bp == '|') {
			bp++;		/* skip over '|' if that is case */
		}
	}
	return(def);
}
