#ifdef __RCS_ID__
 static char rcsid[] = "$Header: /u3/bammi/freeunix/src/RCS/mvwin.c,v 1.2 89/03/05 17:58:43 bammi Exp $";
#endif
/*
 * $Log:	mvwin.c,v $
 * Revision 1.2  89/03/05  17:58:43  bammi
 * Ansiization. Some fixes. All output via vprint functions
 * 
 * Revision 1.1  89/03/05  17:22:24  bammi
 * Source distribution from SUG tape. See File README for permissions
 * 
 *
 */

/*
 * Copyright 1980 Kenneth C. R. C. Arnold and The Regents of the
 * University of California.  Permission is granted to freely
 * distribute curses and its documentation provided that this
 * notice is left intact.
 */

#ifndef lint
static char sccsid[] = "@(#)mvwin.c	5.1 (Berkeley) 6/7/85";
#endif not lint

# include	"curses.ext"

/*
 * relocate the starting position of a window
 *
 */

int mvwin(win, by, bx)
reg WINDOW	*win;
reg int		by, bx; {

	register WINDOW	*orig;
	register int	dy, dx;

	if (by + win->_maxy > LINES || bx + win->_maxx > COLS)
		return ERR;
	dy = by - win->_begy;
	dx = bx - win->_begx;
	orig = win->_orig;
	if (orig == NULL) {
		orig = win;
		do {
			win->_begy += dy;
			win->_begx += dx;
			_swflags_(win);
			win = win->_nextp;
		} while (win != orig);
	}
	else {
		if (by < orig->_begy || win->_maxy + dy > orig->_maxy)
			return ERR;
		if (bx < orig->_begx || win->_maxx + dx > orig->_maxx)
			return ERR;
		win->_begy = by;
		win->_begx = bx;
		_swflags_(win);
		_set_subwin_(orig, win);
	}
	touchwin(win);
	return OK;
}
