#ifdef __RCS_ID__
 static char rcsid[] = "$Header: /u3/bammi/freeunix/src/RCS/printw.c,v 1.3 89/03/05 17:58:52 bammi Exp $";
#endif
/*
 * $Log:	printw.c,v $
 * Revision 1.3  89/03/05  17:58:52  bammi
 * Ansiization. Some fixes. All output via vprint functions
 * 
 * Revision 1.2  89/03/05  17:41:16  bammi
 * added apatches from frans for ACK cc and some for Gcc
 * 
 * Revision 1.1  89/03/05  17:22:29  bammi
 * Source distribution from SUG tape. See File README for permissions
 * 
 *
 */

#define __C_SRC__
/*
 * Copyright 1980 Kenneth C. R. C. Arnold and The Regents of the
 * University of California.  Permission is granted to freely
 * distribute curses and its documentation provided that this
 * notice is left intact.
 */

/*
 * Implementation using varargs and vsprintf by John Gilmore.
 * My changes are in the public domain.
 */

/*
 * printw and friends
 *
 */

# include	"curses.ext"
#if 0
# include	<varargs.h>


#ifndef lint
static char sccsid[] = "@(#)printw.c	5.1 (Berkeley) 6/7/85";
#endif not lint

/*
 *	This routine actually executes the printf and adds it to the window
 */
int _sprintw(win, fmt, args)
WINDOW	*win;
char	*fmt;
va_list	args;
{
	char	buf[512];	/* Bogus, but what are we to do? */

	(void) vsprintf(buf, fmt, args);
	return waddstr(win, buf);
}

/*
 *	This routine implements a printf on the standard screen.
 */
int
printw(va_alist)
va_dcl {
	va_list args;
	char *fmt;
	int ret;

	va_start(args);
	fmt = va_arg(args, char *);

	ret = _sprintw(stdscr, fmt, args);
	va_end(args);
	return ret;
}

/*
 *	This routine implements a printf on the given window.
 */
int
wprintw(va_alist)
va_dcl {
	va_list args;
	WINDOW	*win;
	char *fmt;
	int ret;

	va_start(args);
	win = va_arg(args, WINDOW *);
	fmt = va_arg(args, char *);

	ret = _sprintw(win, fmt, args);
	va_end(args);
	return ret;
}

#else
# include	<stdarg.h>


#ifndef lint
static char sccsid[] = "@(#)printw.c	5.1 (Berkeley) 6/7/85";
#endif not lint

/*
 *	This routine actually executes the printf and adds it to the window
 */
int _sprintw(win, fmt, args)
WINDOW	*win;
char	*fmt;
#if 0
va_list	args;
#else
char	*args;
#endif
{
	char	buf[512];	/* Bogus, but what are we to do? */

	(void) vsprintf(buf, fmt, args);
	return waddstr(win, buf);
}

/*
 *	This routine implements a printf on the standard screen.
 */
int
printw(char *arg_fmt, ...)
{
	va_list args;
	char *fmt;
	int ret;

	fmt = arg_fmt;
	va_start(args, fmt);

	ret = _sprintw(stdscr, fmt, args);
	va_end(args);
	return ret;
}

/*
 *	This routine implements a printf on the given window.
 */
int
wprintw(WINDOW *arg_w, ...)
{
	va_list args;
	WINDOW	*win;
	char *fmt;
	int ret;

	win = arg_w;
	va_start(args, arg_w);
	fmt = va_arg(args, char *);

	ret = _sprintw(win, fmt, args);
	va_end(args);
	return ret;
}

#endif
