#ifdef __RCS_ID__
 static char rcsid[] = "$Header: /u3/bammi/freeunix/src/RCS/mvprintw.c,v 1.2 89/03/05 17:58:39 bammi Exp $";
#endif
/*
 * $Log:	mvprintw.c,v $
 * Revision 1.2  89/03/05  17:58:39  bammi
 * Ansiization. Some fixes. All output via vprint functions
 * 
 * Revision 1.1  89/03/05  17:22:21  bammi
 * Source distribution from SUG tape. See File README for permissions
 * 
 *
 */

#define __C_SRC__

/*
 * Copyright 1980 Kenneth C. R. C. Arnold and The Regents of the
 * University of California.  Permission is granted to freely
 * distribute curses and its documentation provided that this
 * notice is left intact.
 */

/*
 * Implementation using varargs and vsprintf by John Gilmore.
 * My changes are in the public domain.
 */

#ifndef lint
static char sccsid[] = "@(#)mvprintw.c	5.1 (Berkeley) 6/7/85";
#endif not lint

# include	"curses.ext"
#if 0
# include	<varargs.h>

/*
 * implement the mvprintw commands.  Due to the variable number of
 * arguments, they cannot be macros.  Sigh....
 *
 */
int mvprintw(va_alist)
va_dcl {
	int y, x;
	va_list args;
	WINDOW	*win;
	char *fmt;
	int ret;

	va_start(args);
	y = va_arg(args, int);
	x = va_arg(args, int);
	if (move(y, x) != OK) {
		va_end(args);
		return ERR;
	}

	fmt = va_arg(args, char *);

	ret = _sprintw(stdscr, fmt, args);
	va_end(args);
	return ret;
}

int mvwprintw(va_alist)
va_dcl {
	int y, x;
	va_list args;
	WINDOW	*win;
	char *fmt;
	int ret;

	va_start(args);
	win = va_arg(args, WINDOW *);
	y = va_arg(args, int);
	x = va_arg(args, int);
	if (wmove(win, y, x) != OK) {
		va_end(args);
		return ERR;
	}

	fmt = va_arg(args, char *);

	ret = _sprintw(win, fmt, args);
	va_end(args);
	return ret;
}
#else
# include	<stdarg.h>

/*
 * implement the mvprintw commands.  Due to the variable number of
 * arguments, they cannot be macros.  Sigh....
 *
 */
int mvprintw(int arg_y, ...)
{
	int y, x;
	va_list args;
	WINDOW	*win;
	char *fmt;
	int ret;

	y = arg_y;
	va_start(args, arg_y);
	x = va_arg(args, int);
	if (move(y, x) != OK) {
		va_end(args);
		return ERR;
	}

	fmt = va_arg(args, char *);

	ret = _sprintw(stdscr, fmt, args);
	va_end(args);
	return ret;
}

int mvwprintw(WINDOW *arg_w, ...)
{
	int y, x;
	va_list args;
	WINDOW	*win;
	char *fmt;
	int ret;

	win = arg_w;
	va_start(args, arg_w);
	y = va_arg(args, int);
	x = va_arg(args, int);
	if (wmove(win, y, x) != OK) {
		va_end(args);
		return ERR;
	}

	fmt = va_arg(args, char *);

	ret = _sprintw(win, fmt, args);
	va_end(args);
	return ret;
}
#endif
